<!DOCTYPE html>
<html>
<head>
    <title>Analyse évolution jj</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/style.css') }}">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.5.0-beta4/html2canvas.min.js"></script>

</head>
<body>
{% include 'menu.html' %}
    <h1>DETAIL</h1>
    <p>Sélectionner les dates souhaitées</p>

    <form class="my-form" action="{{ url_for('detail') }}" method="POST">
      <p class="p2">PERIODE N</p>
      <div class="row">
        <div class="column">
          <label for="date-depart">DATE DE DEBUT :</label>
          <input type="date" id="date-depart" name="date-depart">
        </div>
        <div class="column">
          <label for="date-arrivee">DATE DE FIN :</label>
          <input type="date" id="date-arrivee" name="date-arrivee">
        </div>
      </div>
      <div class="row">
        <div class="column">
          <label for="year-comparaison">ANNÉE DE COMPARAISON : (si rien = N-1)</label>
          <input type="number" id="year-comparaison" name="year-comparaison" min="2018" max="2099" step="1">
        </div>
      </div>
      <input type="submit" value="VALIDER">
    </form>


    <br>
    {% if error %}
    <p class="p2">{{ error|safe }}</p>
    {% endif %}


{% if date_start_obj and date_end_obj %}


  <div class="data-box">
    <table align="center" class="date-table">
      <thead>
        <tr>
          <th class="h2">Période N</th>
          <th class="h2"></th>
          <th class="h2">Période N-1</th>
        </tr>
      </thead>
      <tbody>
          <tr>
            <td class="p4">DU {{ date_start_obj }} AU {{ date_end_obj }}</td>
            <td class="p4"></td>
            <td class="p4">DU {{ date_start_n_1_obj }} AU {{ date_end_n_1_obj }}</td>
          </tr>
        </tbody>
    </table>
  </div>

  <!-- Afficher le widget -->
  <div id="widget-container">
    {{ widget|safe }}
  </div>





{% endif %}


    <br>
    <br>
    <br>
    <br>
    <br>
    <br>






{% include 'footer.html' %}
</body>
</html>
